Skip to main content
`Ctrl`+`K`

# TSMonitorSolutionSetup

Setups the context for `TSMonitorSolution()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSolutionSetup(TS ts, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ts - the `TS` context

- vf - viewer and its format

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSolution()`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorSetFromOptions()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages